Page MenuHomePhabricator

BSD CPUClock bryce gadget - arrow moves in the opposite direction
Closed, ResolvedPublic

Description

E22 beta installed from sources on FreeBSD 11. EFL 1.20.5 release. Added bryce with some gadgets. When the frequency is max - the arrow is glued to the left-button edge, when the frequency is decreasing (I can see the digits changing inside the Cpufreq shelf gadget and on the slider of the CPUClock gadget) the arrow begins to turn to the top-right.

zmike added a comment.Oct 25 2017, 7:39 AM

So this is an issue with the cpuclock gadget or the cpufreq gadget or both?

On the Cpufreq gadget (in a shelf) the arrow does not move at all (stays on minimum) but the digits show the actual frequency.
On the CPUClock gadget (in a bryce) arrow moves in the opposite direction.

zmike reassigned this task from zmike to stephenmhouston.Nov 6 2017, 10:27 AM
zmike triaged this task as Normal priority.
zmike added a subscriber: zmike.

I don't see this on linux. @netstar Can you take a look at this and see if it is related your bsd code for this?

Yep missed this one, it's not fully implemented yet.

zmike renamed this task from CPUClock bryce gadget - arrow moves in the opposite direction to BSD CPUClock bryce gadget - arrow moves in the opposite direction.Feb 23 2018, 11:59 AM
zmike removed a subscriber: zmike.

EFL & E from GIT on FreeBSD 11.1.
New CPUClock gadget still does not work correctly, the old one neither :(

Peter2121 reopened this task as Open.Feb 28 2018, 1:12 PM

The old one isn't going to work.

The gadget is not going to work like it does on Linux. Can you explain what is not working?

Do you get a list of frequencies in the config, does it change upon user input.

Unless you have some daemon setting the frequencies on demand the dial isn't much fun.

The old gadget is correctly showing the current frequency with digits, so I can see that it changes (powerd is active).
The new one now works exactly as the old one - the pointer is moving in opposite direction: by default (max frequency) it's on minimum, when the frequency decreases - it turns right to reach the right position when the frequency is minimal. For me the minimum is 800MHz, the maximum is 2600MHz (I can see it on the old gadget).
BTW, visually it is not really cool - on the min and max positions the pointer is not really visible.
...And the digits on the old gadget was not so bad idea ;)

See on the screenshot an intermediate position.

netstar closed this task as Wontfix.Feb 28 2018, 3:28 PM

Ok so...the gadgets are moving out of the tree, the codebase is different already (even on Linux)...so will close this ticket.

Meaning you'll clone from github and install seperately from enlightenment. This is a work-in-progress, but I imagine it won't be too far away.

If you have issues with the new gadgets can you create a new ticket then?

zmike changed the task status from Wontfix to Resolved by committing rEda19c3cd6a0b: sysinfo: fix cpuclock for BSD..Mar 2 2018, 8:15 AM